#ifndef SYSTEMAPIDBUSMAP_H
#define SYSTEMAPIDBUSMAP_H

#include <string>
namespace systemapi {

enum MergeIcons { Always = 0, Never };
enum PanelLocation { Bottom = 0, Left, Top, Right };
enum PanelSizePolicy { Small = 0, Medium, Large, Custom };

// 声明映射函数
std::string mapPanelSizePolicyToApiParam(const std::string &value);
std::string mapPanelLocationToApiParam(const std::string &value);
std::string mapMergeIconsToApiParam(const std::string &value);
std::string mapIsAutoHiddenToApiParam(const std::string &value);
std::string mapIsPanelLockedToApiParam(const std::string &value);
std::string mapIsMultiTaskViewOnToApiParam(const std::string &value);

// 注册所有默认的映射关系
void registerDefaultApiParamsConverters();
}  // namespace systemapi

#endif  // SYSTEMAPIDBUSMAP_H
